<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="page-title">
            <span class="title">Input Barang</span>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                      <%= form_for(@product) do |form| %>
                      <% if @product.errors.any? %>
                        <div class="alert fresh-color alert-danger" role="alert">
                          <ul>
                            <% @product.errors.full_messages.each do |message| %>
                            <li>
                              <strong><%= message %></strong>
                            </li>
                            <% end %>
                          </ul>
                        </div>
                        <% end %>
                        <div for="name" class="sub-title">Nama</div>
                        <div>
                            <%= form.text_field :name, class: 'form-control', placeholder: 'masukan nama barang ...', :required => true %>
                        </div>
                        <div class="sub-title">Type</div>
                        <div>
                            <%= form.text_field :type_product, class: 'form-control', placeholder: 'masukan jenis barang ...', :required => true  %>
                        </div>
                        <div class="sub-title">Ukuran</div>
                        <div>
                            <%= form.text_field :size, class: 'form-control', placeholder: 'masukan ukuran barang ...', :required => true  %>
                        </div>
                        <div class="sub-title">Distributor</div>
                        <div>
                          <%= form.select :distributor_id, options_for_select(@distributors.map{ |c| [c.name, c.id] }, selected_key = form.object.distributor_id), {}, {:required => true, :class => "form-control"} %>
                        </div>
                        <div class="sub-title">Tanggal Barang</div>
                        <div>
                            <%= form.date_select :created_product, { :order => [:month, :day, :year] }, {:class => "form-control"} %>
                        </div>
                        <div class="sub-title">Harga Produksi</div>
                        <div>
                            <%= form.number_field :gross_amount, class: 'form-control', placeholder: 'masukan harga produksi barang ...', :required => true  %>
                        </div>
                        <div class="sub-title">Harga Jual</div>
                        <div>
                            <%= form.number_field :sell_amount, class: 'form-control', placeholder: 'masukan harga jual barang ...', :required => true  %>
                        </div>
                        <div class="sub-title">Stok Barang</div>
                        <div>
                            <%= form.text_field :available_product, class: 'form-control', placeholder: 'stok barang', readonly: true, value: 0 %>
                        </div>
                        <%= link_to 'Back', products_path, class: "btn btn-sm btn-default" %>
                        <button type="submit" class="btn btn-sm btn-info">Submit</button>
                      <% end %>
                    </div>
                </div>
            </div>
        </div>
    </div>